%define version    1.13
%define patchlevel alt4
%define prefix     /usr

Name: happy
Version: %version
Release: %patchlevel
License: BSD w/o adv. clause
Group: Development/Other
Url: http://www.haskell.org/happy/
Source: http://www.haskell.org/happy/dist/%version/happy-%version-src.tar.gz
# Automatically added by buildreq on Thu Oct 30 2003
BuildRequires: XFree86-devel-static cm-super-fonts-pfb cm-super-fonts-tex-dvips docbook-dtds docbook-style-dsssl flex ghc gtk+-devel happy jadetex libGLU-devel libOpenSP libbfd-devel libelf-devel libglut-devel libgmp-devel libiberty-devel libncurses-devel libreadline-devel openjade sgml-common tetex-core tetex-dvips tetex-latex time

BuildRequires: ghc openjade flex
Summary: The LALR(1) Parser Generator for Haskell
%description
Happy is a parser generator system for Haskell, similar to the tool `yacc' for
C. Like `yacc', it takes a file containing an annotated BNF specification of a
grammar and produces a Haskell module containing a parser for the grammar.

Happy is flexible: you can have several Happy parsers in the same program, and
several entry points to a single grammar. Happy can work in conjunction with a
lexical analyser supplied by the user (either hand-written or generated by
another program), or it can parse a stream of characters directly (but this
isn't practical in most cases).

Authors:
--------
    Simon Marlow <simonmar@microsoft.com>
    Andy Gill <andy@galconn.com>

%prep
%setup -n happy-%version

%build
chmod -R +w *
./configure --prefix=%prefix
make all
( cd happy/doc ; make happy.{dvi,ps,html} ; gzip -9 *.dvi *.ps )

%install
make prefix=$RPM_BUILD_ROOT/%prefix install

%files
%doc happy/ANNOUNCE happy/CHANGES happy/LICENSE happy/README happy/TODO
%doc happy/doc/happy happy/doc/happy.dvi.gz happy/doc/happy.ps.gz
%doc happy/examples
%prefix/bin/happy
%prefix/bin/happy-%version
%prefix/lib/happy-%version

%changelog
* Thu Oct 30 2003 Vitaly Lugovsky <vsl@altlinux.ru> 1.13-alt4
simple rebuild


* Fri Jan 24 2003 Vitaly Lugovsky <vsl@altlinux.ru> 1.13-alt3
- Group fixed

* Fri Jan 24 2003 Vitaly Lugovsky <vsl@altlinux.ru> 1.13-alt2
- rebuild

*Mon Aug 5 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.13-alt1
- new version released

*Tue May 14 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.11-alt3
- ghc is now required,
  some cleanups in SPEC

*Sat Apr 27 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.11-alt2
- Slightly adopted to the ALT Linux environment,
  original distribution was 1.11-1 packaged by
  simonmar@microsoft.com

